## singularity-container 4.0.1+ds1

=== debian/changelog ===
singularity-container (4.0.1+ds1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 4.0.1+ds1 (Refresh patches)
  * d/copyright:
    + Remove following packages from exclusion which are
      not vendored anymore:
      - vendor/github.com/go-logr/logr
      - vendor/github.com/go-logr/stdr
      - vendor/github.com/kr/pty
      - vendor/github.com/moby/locker
      - vendor/go.etcd.io/bbolt
      - vendor/gopkg.in/square/go-jose.v2
      - vendor/go.opentelemetry.io/otel
      - vendor/oras.land/oras-go
      - third_party/squashfuse
    + Exclude following vendored stuff:
      - vendor/github.com/containerd/stargz-snapshotter
      - vendor/github.com/mattn/go-sqlite3
      - vendor/github.com/mitchellh/go-homedir
    + Include back following modules due to FTBFS with system packages
      - vendor/github.com/container-orchestrated-devices/container-device-interface
    + Add copyrights for the new included modules.
    + Mention myself in copyright, update copyright year
  * d/control:
    + Add new B-D on:
      - golang-github-containerd-stargz-snapshotter-dev
      - golang-github-mitchellh-go-homedir-dev
      - golang-github-samber-lo-dev
    + Remove B-D on:
      - golang-github-coreos-bbolt-dev
      - golang-github-kr-pty-dev
      - golang-github-moby-locker-dev
      - golang-github-morikuni-aec-dev
      - golang-oras-oras-go-dev
    + Add Recommends on:
      - squashfuse
    + Remove duplicate B-D on golang-github-containers-image-dev
  * d/rules:
    + Pass --without-squashfuse to use system provided binary
    + Add pkg/ocibundle/ocisif to DH_GOLANG_EXCLUDES for tests
    + Run tests with package specific tags GO tags
      It otherwise FTBFS since it needs at least singularity_enigne tag
    + Fix perms of verify_ocsp.go, remove +x perms
  * Add lintian override for field-too-long Built-Using (Heavy package)

  [ Chirag Sukhala ]
  * Added basic unit test case that could be used to validate functionality
    befiore each upload. For now this needs to be run manually as singularity
    can not run inside lxc container used at debci.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 Oct 2023 23:45:24 +0530
