## singularity-container 4.0.2+ds1

=== debian/changelog ===
singularity-container (4.0.2+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.0.2+ds1
  * d/control:
    + Add versioned B-D on a container image related deps
    + Add vesioned B-D on golang-any
    + Add versioned B-D on golang-github-vbauerster-mpb-dev
  * d/copyright:
    + Remove following packages from exclusion which are
      not vendored anymore:
      - vendor/github.com/theupdateframework/go-tuf
    + Exclude the following vendored stuff:
      - vendor/github.com/vbauerster/mpb

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Nov 2023 04:35:21 +0530
