=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13) ,dh-golang
     ,cryptsetup-bin
-    ,golang-any
+    ,golang-any (>= 2:1.20~)
     ,golang-github-acarl005-stripansi-dev
     ,golang-github-apex-log-dev
     ,golang-github-appc-cni-dev (>= 1.0.1~)
@@ -25,7 +25,7 @@
     ,golang-github-cloudflare-circl-dev
     ,golang-github-containerd-cgroups-dev
 #   ,golang-github-containerd-containerd-dev (>= 1.2.6~) :: (provided by docker)
-    ,golang-github-containers-image-dev
+    ,golang-github-containers-image-dev (>= 5.26.1~)
     ,golang-github-containers-common-dev
     ,golang-github-containers-storage-dev
     ,golang-github-containers-ocicrypt-dev
@@ -43,11 +43,11 @@
     ,golang-github-moby-term-dev
     ,golang-mvdan-sh-dev
     ,golang-github-netflix-go-expect-dev
-    ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
     ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-selinux-dev
     ,golang-github-opencontainers-specs-dev
-    ,golang-github-opensuse-umoci-dev
+    ,golang-github-opensuse-umoci-dev (>= 0.4.7+ds-4~)
     ,golang-github-pelletier-go-toml.v2-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-proglottis-gpgme-dev
@@ -63,6 +63,7 @@
     ,golang-gopkg-yaml.v3-dev
     ,golang-github-sylabs-json-resp-dev
     ,golang-github-vbatts-tar-split-dev
+    ,golang-github-vbauerster-mpb-dev (>= 8.6.1~)
 #   ,golang-golang-x-crypto-dev :: (patched by upstream)
     ,golang-golang-x-term-dev
     ,golang-golang-x-text-dev
@@ -108,12 +109,12 @@
     ,golang-github-appc-cni-dev (>= 0.7.1~)
     ,golang-github-blang-semver-dev (>= 4)
     ,golang-github-containernetworking-plugins-dev
-    ,golang-github-containers-image-dev
+    ,golang-github-containers-image-dev (>= 5.26.1~)
     ,golang-github-gorilla-websocket-dev
-    ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
     ,golang-github-opencontainers-selinux-dev
     ,golang-github-opencontainers-specs-dev
-    ,golang-github-opensuse-umoci-dev
+    ,golang-github-opensuse-umoci-dev (>= 0.4.7+ds-4~)
     ,golang-github-pelletier-go-toml.v2-dev
     ,golang-github-satori-go.uuid-dev
     ,golang-github-spf13-cobra-dev
