## singularity-container 4.0.3+ds1

=== debian/changelog ===
singularity-container (4.0.3+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.0.3+ds1
  * d/control:
    + Add B-D on golang-github-go-jose-go-jose-dev
  * d/copyright:
    + Exclude the following vendored packages:
      - vendor/github.com/go-jose/go-jose/v3
      - vendor/github.com/samber/lo

 -- Nilesh Patra <nilesh@debian.org>  Tue, 16 Jan 2024 20:19:18 +0530
