=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
     ,golang-github-docker-libtrust-dev
     ,golang-github-gorilla-websocket-dev
     ,golang-github-go-log-log-dev
+    ,golang-github-go-jose-go-jose-dev
     ,golang-github-golang-groupcache-dev
     ,golang-github-gotestyourself-gotest.tools-dev
     ,golang-github-google-uuid-dev
