## singularity-container 4.1.1%2Bds2

=== debian/changelog ===
singularity-container (4.1.1+ds2-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 13:26:37 +1000

singularity-container (4.1.1+ds2-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 15:48:50 +1000

singularity-container (4.1.1+ds2-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:42:24 +0530

singularity-container (4.1.1+ds2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:44:17 +1100

singularity-container (4.1.1+ds2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.1+ds1
  * Exclude a bunch of vendored stuff, add corresponding B-D
    (Heavy refactoring)
  * Drop conveyorPacker_oci.patch, refresh rest patches
  * Remove copyright for removed vendored dirs
  * Remove Yaroslav and onlyjob from uploaders. Thanks for your work.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Feb 2024 03:42:28 +0530
