=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.6.2
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
-           Yaroslav Halchenko <debian@onerussian.com>,
-           Dmitry Smirnov <onlyjob@debian.org>,
            Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13) ,dh-golang
     ,cryptsetup-bin
@@ -14,8 +13,15 @@
     ,golang-github-apex-log-dev
     ,golang-github-appc-cni-dev (>= 1.0.1~)
     ,golang-github-azure-go-ansiterm-dev
+    ,golang-github-cenkalti-backoff-dev
     ,golang-github-containernetworking-plugins-dev
+    ,golang-github-containerd-console-dev
+    ,golang-github-containerd-continuity-dev
+    ,golang-github-containerd-fifo-dev
+    ,golang-github-containerd-go-cni-dev
     ,golang-github-containerd-stargz-snapshotter-dev
+    ,golang-github-containerd-go-runc-dev
+    ,golang-github-coreos-bbolt-dev
     ,golang-github-blang-semver-dev (>= 4)
     ,golang-github-buger-goterm-dev
     ,golang-github-buger-jsonparser-dev
@@ -23,27 +29,35 @@
     ,golang-github-cespare-xxhash-dev
     ,golang-github-cilium-ebpf-dev
     ,golang-github-cloudflare-circl-dev
-    ,golang-github-containerd-cgroups-dev
 #   ,golang-github-containerd-containerd-dev (>= 1.2.6~) :: (provided by docker)
     ,golang-github-containers-image-dev (>= 5.26.1~)
     ,golang-github-containers-common-dev
     ,golang-github-containers-storage-dev
-    ,golang-github-containers-ocicrypt-dev
     ,golang-github-docker-docker-credential-helpers-dev
     ,golang-github-docker-libtrust-dev
     ,golang-github-gorilla-websocket-dev
+    ,golang-github-gofrs-flock-dev
+    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-go-log-log-dev
-    ,golang-github-go-jose-go-jose-dev
+    ,golang-github-go-logr-logr-dev
+    ,golang-github-go-logr-stdr-dev
     ,golang-github-golang-groupcache-dev
     ,golang-github-gotestyourself-gotest.tools-dev
+    ,golang-github-google-shlex-dev
     ,golang-github-google-uuid-dev
+    ,golang-github-gogo-googleapis-dev
+    ,golang-github-golang-groupcache-dev
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
-    ,golang-github-json-iterator-go-dev
+    ,golang-github-hashicorp-go-immutable-radix-dev
     ,golang-github-mitchellh-go-homedir-dev
+    ,golang-github-moby-locker-dev
     ,golang-github-moby-patternmatcher-dev
     ,golang-github-moby-term-dev
+    ,golang-github-morikuni-aec-dev
     ,golang-mvdan-sh-dev
     ,golang-github-netflix-go-expect-dev
+    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20230630.36ef4d8-1~)
+    ,golang-github-tonistiigi-units-dev
     ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
     ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-selinux-dev
@@ -51,7 +65,6 @@
     ,golang-github-opensuse-umoci-dev (>= 0.4.7+ds-4~)
     ,golang-github-pelletier-go-toml.v2-dev
     ,golang-github-pkg-errors-dev
-    ,golang-github-proglottis-gpgme-dev
     ,golang-github-pquerna-ffjson-dev
     ,golang-github-protonmail-go-crypto-dev
     ,golang-github-safchain-ethtool-dev
@@ -59,7 +72,6 @@
     ,golang-github-satori-go.uuid-dev
     ,golang-github-spf13-cobra-dev
     ,golang-github-spf13-pflag-dev
-    ,golang-google-genproto-dev
     ,golang-gopkg-square-go-jose.v2-dev
     ,golang-gopkg-yaml.v3-dev
     ,golang-github-sylabs-json-resp-dev
@@ -71,7 +83,6 @@
     ,golang-golang-x-sys-dev
     ,golang-gopkg-cheggaaa-pb.v1-dev
     ,help2man
-    ,libgpgme-dev
     ,libssl-dev
     ,stow
     ,uuid-dev
