## singularity-container 4.1.1+ds2

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,6 @@
 	$(RM) -v  $(SRCDIR)/vendor/github.com/godbus
 	$(RM) -v  $(SRCDIR)/vendor/github.com/opencontainers
 # Somehow this is copied twice and ends up with gcc failure due to default -fno-common
-	$(RM) -v $(SRCDIR)/vendor/github.com/containers/storage
 	$(RM) -v $(SRCDIR)/vendor/github.com/seccomp
 
 # perform the configuration
