## singularity-container 4.1.2+ds1

=== debian/changelog ===
singularity-container (4.1.2+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.2+ds1
  * Add Builddep on golang-github-felixge-httpsnoop-dev

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 07 Apr 2024 16:55:43 +0530
