=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13) ,dh-golang
@@ -35,6 +34,7 @@
     ,golang-github-containers-storage-dev
     ,golang-github-docker-docker-credential-helpers-dev
     ,golang-github-docker-libtrust-dev
+    ,golang-github-felixge-httpsnoop-dev
     ,golang-github-gorilla-websocket-dev
     ,golang-github-gofrs-flock-dev
     ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
