## singularity-container 4.1.5+ds3

=== debian/changelog ===
singularity-container (4.1.5+ds3-1) unstable; urgency=medium

  * Team Upload.
  * Restore .gitlab-ci.yml and prevent it from getting deleted
  * New upstream version 4.1.5+ds3
  * Update minimum version of patternmatcher-dev
  * Update dependency on golang-lru
  * Update dependency on image-spec
  * Pre-repack change to vendor x/sys
  * Update copyright

 -- Nilesh Patra <nilesh@debian.org>  Tue, 20 Aug 2024 00:16:45 +0530

singularity-container (4.1.5+ds2-1) unstable; urgency=medium

  * Team Upload.
  * Update vendored libs to exclude and copyright licenses
  * New upstream version 4.1.5+ds1 (Closes: #1078515)
    + Update paths (Drop jose.v2 patch -- no longer used)
  * Add new Build-Deps
  * Update GO_TEST_TAGS
  * Update test to check for regression with #1012469

 -- Nilesh Patra <nilesh@debian.org>  Sun, 18 Aug 2024 22:42:30 +0530
