=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
     ,golang-github-containerd-console-dev
     ,golang-github-containerd-continuity-dev
     ,golang-github-containerd-fifo-dev
+    ,golang-github-containerd-errdefs-dev
     ,golang-github-containerd-go-cni-dev
+    ,golang-github-containerd-platforms-dev
     ,golang-github-containerd-stargz-snapshotter-dev
     ,golang-github-containerd-go-runc-dev
     ,golang-github-coreos-bbolt-dev
@@ -37,7 +39,6 @@
     ,golang-github-felixge-httpsnoop-dev
     ,golang-github-gorilla-websocket-dev
     ,golang-github-gofrs-flock-dev
-    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-go-log-log-dev
     ,golang-github-go-logr-logr-dev
     ,golang-github-go-logr-stdr-dev
@@ -47,18 +48,20 @@
     ,golang-github-google-uuid-dev
     ,golang-github-gogo-googleapis-dev
     ,golang-github-golang-groupcache-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
-    ,golang-github-hashicorp-go-immutable-radix-dev
+    ,golang-github-hashicorp-golang-lru-v2-dev
     ,golang-github-mitchellh-go-homedir-dev
+    ,golang-github-moby-docker-image-spec-dev
     ,golang-github-moby-locker-dev
-    ,golang-github-moby-patternmatcher-dev
+    ,golang-github-moby-patternmatcher-dev (>= 0.6.0-1~)
     ,golang-github-moby-term-dev
     ,golang-github-morikuni-aec-dev
     ,golang-mvdan-sh-dev
     ,golang-github-netflix-go-expect-dev
-    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20230630.36ef4d8-1~)
+    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20240424.91a3fc4-1~)
     ,golang-github-tonistiigi-units-dev
-    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
+    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0-2~)
     ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-selinux-dev
     ,golang-github-opencontainers-specs-dev
@@ -72,7 +75,7 @@
     ,golang-github-satori-go.uuid-dev
     ,golang-github-spf13-cobra-dev
     ,golang-github-spf13-pflag-dev
-    ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-github-go-jose-go-jose-dev (>= 4.0.2~)
     ,golang-gopkg-yaml.v3-dev
     ,golang-github-sylabs-json-resp-dev
     ,golang-github-vbatts-tar-split-dev
@@ -80,7 +83,6 @@
 #   ,golang-golang-x-crypto-dev :: (patched by upstream)
     ,golang-golang-x-term-dev
     ,golang-golang-x-text-dev
-    ,golang-golang-x-sys-dev
     ,golang-gopkg-cheggaaa-pb.v1-dev
     ,help2man
     ,libssl-dev
