=== debian/changelog ===
singularity-container (4.1.5+ds4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.5+ds4 (Repacked containerd)
    Closes: #1087556

 -- Nilesh Patra <nilesh@debian.org>  Fri, 28 Feb 2025 00:39:54 +0530
