=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
     ,golang-github-containernetworking-plugins-dev
     ,golang-github-containerd-console-dev
     ,golang-github-containerd-continuity-dev
+    ,golang-github-containerd-containerd-dev (>= 1.7.20~)
     ,golang-github-containerd-fifo-dev
     ,golang-github-containerd-errdefs-dev
     ,golang-github-containerd-go-cni-dev
@@ -90,8 +91,8 @@
     ,uuid-dev
 Homepage: https://www.sylabs.io
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container.git
-Vcs-Browser: https://salsa.debian.org/hpc-team/singularity-container
+Vcs-Git: https://salsa.debian.org/go-team/packages/singularity-container.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/singularity-container
 XS-Go-Import-Path: github.com/sylabs/singularity
 
 Package: singularity-container
