=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
 
 # List test tags
-GO_TEST_TAGS := containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper sylog singularity_engine fakeroot_engine
+GO_TEST_TAGS := sylog singularity_engine fakeroot_engine apparmor selinux seccomp
 
 %:
 	dh $@ --with golang --builddirectory=_build --buildsystem=golang
